package com.ss.android.ugc.aweme.base.ui.c;

import X.M12;
import android.view.ViewGroup;
import com.a.a.a.a.a;
import com.bytedance.covode.number.Covode;
import com.bytedance.lighten.loader.SmartImageView;

public final class c {
    public final a LIZ = new a();

    static {
        Covode.recordClassIndex(54371);
    }

    public final void LIZ(SmartImageView smartImageView, ViewGroup.LayoutParams layoutParams) {
        M12.LIZ(smartImageView, layoutParams);
        this.LIZ.LIZ(smartImageView, layoutParams);
    }

    public final boolean LIZ(String str, com.a.b.a.a aVar, SmartImageView smartImageView, ViewGroup.LayoutParams layoutParams) {
        M12.LIZ(str, aVar, smartImageView, layoutParams);
        return this.LIZ.LIZ(str, aVar, smartImageView, layoutParams);
    }
}
